### Class

# EDataServer SourceMailSubmission

since: 3.6

#### Description [src]

    class EDataServer.SourceMailSubmission : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the function below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Instance methods

###### e_source_mail_submission_dup_sent_folder

Thread-safe variation of e_source_mail_submission_get_sent_folder(). Use this function when accessing `extension` from multiple threads.

since: 3.6

###### e_source_mail_submission_dup_transport_uid

Thread-safe variation of e_source_mail_submission_get_transport_uid(). Use this function when accessing `extension` from multiple threads.

since: 3.6

###### e_source_mail_submission_get_replies_to_origin_folder

Returns whether save replies in the folder of the message being replied to, instead of the Sent folder.

since: 3.8

###### e_source_mail_submission_get_sent_folder

Returns a string identifying the preferred folder for sent messages. The format of the identifier string is defined by the client application.

since: 3.6

###### e_source_mail_submission_get_transport_uid

Returns the `ESource:uid` of the `ESource` that describes the mail transport to be used for outgoing messages.

since: 3.6

###### e_source_mail_submission_get_use_sent_folder

No description available.

since: 3.26

###### e_source_mail_submission_set_replies_to_origin_folder

Sets whether save replies in the folder of the message being replied to, instead of the Sent folder.

since: 3.8

###### e_source_mail_submission_set_sent_folder

Sets the preferred folder for sent messages by an identifier string. The format of the identifier string is defined by the client application.

since: 3.6

###### e_source_mail_submission_set_transport_uid

Sets the `ESource:uid` of the `ESource` that describes the mail transport to be used for outgoing messages.

since: 3.6

###### e_source_mail_submission_set_use_sent_folder

Sets whether save messages to the sent folder at all.

since: 3.26

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceMailSubmission:replies-to-origin-folder

Whether to save replies to folder of the message being replied to, instead of the Sent folder.

###### EDataServer.SourceMailSubmission:sent-folder

Preferred folder for sent messages.

###### EDataServer.SourceMailSubmission:transport-uid

ESource UID of a Mail Transport.

###### EDataServer.SourceMailSubmission:use-sent-folder

Whether to save sent messages to sent-folder.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceMailSubmissionClass {
      ESourceExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.